2020-01-25 10:14 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006291Spring engineGeneralpublic2020-01-06 11:53
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006291: 104.0.1-1383-ga0129db maintenance Incorrect sounds when loading saved games
DescriptionIn this saved game the incorrect weapon fire and impact sounds are played. The sounds that are played seem to depend on which sounds were played previously, and can include UI sounds.

Save file: https://github.com/ZeroK-RTS/CrashReports/files/3567954/testSave.zip
Steps To ReproduceI can always reproduce the issue with this save game. I have been unable to make a new save that reproduces the issue.
Additional InformationVideo: https://www.youtube.com/watch?v=OswT0kPMMvw

The save uses $VERSION at this commit: https://github.com/ZeroK-RTS/Zero-K/commit/9949b4350521c731189b5751f1d2918a3560e576
TagsNo tags attached.
Checked infolog.txt for ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0020293

abma (administrator)

Fix 79fcf9b7bb1f57f4ea87b407857b71a71b912283 committed to develop branch: fix 0006291
end sound{Start,Hit*}-volume babysitting, repo: spring changeset id: 11618
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2019-09-03 07:57 Google_Frog New Issue
2019-09-03 07:58 Google_Frog File Added: infolog.txt
2019-09-05 20:10 Kloot Assigned To => Kloot
2019-09-05 20:10 Kloot Status new => resolved
2019-09-05 20:10 Kloot Resolution open => fixed
2019-09-05 20:10 Kloot Fixed in Version => 104.0 +git
2020-01-06 11:52 Changeset attached => spring develop 79fcf9b7
2020-01-06 11:53 abma Note Added: 0020293
+Issue History